package cn.iocoder.yudao.module.asset.controller.admin.assetinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 固定资产信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AssetInfoRespVO {

    @Schema(description = "资产信息主键自增id", requiredMode = Schema.RequiredMode.REQUIRED, example = "10483")
    @ExcelProperty("资产信息主键自增id")
    private Long id;

    @Schema(description = "资产编号：年月日+uuid", example = "11811")
    @ExcelProperty("资产编号：年月日+uuid")
    private String assetInfoUuid;

    @Schema(description = "资产名称", example = "王五")
    @ExcelProperty("资产名称")
    private String name;

    @Schema(description = "备用字段：资产数量，默认为1", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("备用字段：资产数量，默认为1")
    private Integer number;

    @Schema(description = "资产型号")
    @ExcelProperty("资产型号")
    private String typeNumber;

    @Schema(description = "资产序列号")
    @ExcelProperty("资产序列号")
    private String serialNumber;

    @Schema(description = "购买日期")
    @ExcelProperty("购买日期")
    private String purchaseDate;

    @Schema(description = "资产化日期")
    @ExcelProperty("资产化日期")
    private String capitalizationDate;

    @Schema(description = "折旧年限(大于0的自然数)")
    @ExcelProperty("折旧年限(大于0的自然数)")
    private Integer depreciationYear;

    @Schema(description = "资产状态：0可用 1占用 2报废", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("资产状态：0可用 1占用 2报废")
    private String assetState;

    @Schema(description = "领用人id", example = "32331")
    @ExcelProperty("领用人id")
    private Long receiveEmployeeId;

    @Schema(description = "领用信息表主键id", example = "6952")
    @ExcelProperty("领用信息表主键id")
    private Long receiveInfoId;

    @Schema(description = "资产归属部门", example = "8133")
    @ExcelProperty("资产归属部门")
    private Long assetDeptId;

    @Schema(description = "资产归属地")
    @ExcelProperty("资产归属地")
    private String assetPlace;

    @Schema(description = "资产管理负责人", example = "21608")
    @ExcelProperty("资产管理负责人")
    private Long assetManagerEmployeeId;

    @Schema(description = "报废日期")
    @ExcelProperty("报废日期")
    private String retirementDate;

    @Schema(description = "报废原因", example = "不对")
    @ExcelProperty("报废原因")
    private String retirementReason;

    @Schema(description = "单据状态：0：已完成，1：作废", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("单据状态：0：已完成，1：作废")
    private String status;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}