package cn.iocoder.yudao.module.asset.controller.admin.assetinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 固定资产信息新增/修改 Request VO")
@Data
public class AssetInfoSaveReqVO {

    @Schema(description = "资产信息主键自增id", requiredMode = Schema.RequiredMode.REQUIRED, example = "10483")
    private Long id;

    @Schema(description = "资产名称", example = "王五")
    private String name;

    @Schema(description = "资产型号")
    private String typeNumber;

    @Schema(description = "资产序列号")
    private String serialNumber;

    @Schema(description = "购买日期")
    private String purchaseDate;

    @Schema(description = "资产化日期")
    private String capitalizationDate;

    @Schema(description = "折旧年限(大于0的自然数)")
    private Integer depreciationYear;

    @Schema(description = "资产归属部门", example = "8133")
    private Long assetDeptId;

    @Schema(description = "资产归属地")
    private String assetPlace;

    @Schema(description = "资产管理负责人", example = "21608")
    private Long assetManagerEmployeeId;

    @Schema(description = "备注")
    private String remarks;

}