package cn.iocoder.yudao.module.asset.controller.admin.assetreceiveinfo.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 固定资产领用信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AssetReceiveInfoPageReqVO extends PageParam {

    @Schema(description = "领用人id", example = "4857")
    private Long employeeId;

    @Schema(description = "部门id", example = "4527")
    private Long deptId;

    @Schema(description = "职位id", example = "13139")
    private Long postId;

    @Schema(description = "固定资产名称", example = "张三")
    private String assetInfoName;

    @Schema(description = "领用日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] receiveDate;

    @Schema(description = "是否归还：0未归还，1已归还")
    private Integer returned;

    @Schema(description = "归还日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] returnDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建者")
    private String creator;

}