package cn.iocoder.yudao.module.asset.controller.admin.assetreceiveinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 固定资产领用信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AssetReceiveInfoRespVO {

    @Schema(description = "主键自增id", requiredMode = Schema.RequiredMode.REQUIRED, example = "28086")
    @ExcelProperty("主键自增id")
    private Long id;

    @Schema(description = "领用编号uuid", example = "15552")
    @ExcelProperty("领用编号uuid")
    private String receiveInfoUuid;

    @Schema(description = "领用人id", example = "4857")
    @ExcelProperty("领用人id")
    private Long employeeId;

    @Schema(description = "部门id", example = "4527")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "职位id", example = "13139")
    @ExcelProperty("职位id")
    private Long postId;

    @Schema(description = "固定资产信息表主键id", example = "23094")
    @ExcelProperty("固定资产信息表主键id")
    private Long assetInfoId;

    @Schema(description = "固定资产名称", example = "张三")
    @ExcelProperty("固定资产名称")
    private String assetInfoName;

    @Schema(description = "领用日期")
    @ExcelProperty("领用日期")
    private String receiveDate;

    @Schema(description = "领用原因", example = "不喜欢")
    @ExcelProperty("领用原因")
    private String reason;

    @Schema(description = "是否归还：0未归还，1已归还", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("是否归还：0未归还，1已归还")
    private Integer returned;

    @Schema(description = "归还日期")
    @ExcelProperty("归还日期")
    private String returnDate;

    @Schema(description = "归还原因", example = "不喜欢")
    @ExcelProperty("归还原因")
    private String returnReason;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "单据状态：0：已完成，1：作废", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("单据状态：0：已完成，1：作废")
    private String status;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "创建者")
    @ExcelProperty("创建者")
    private String creator;

}