package cn.iocoder.yudao.module.asset.controller.admin.assetreceiveinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 固定资产领用信息新增/修改 Request VO")
@Data
public class AssetReceiveInfoSaveReqVO {

    @Schema(description = "主键自增id", requiredMode = Schema.RequiredMode.REQUIRED, example = "28086")
    private Long id;

    @Schema(description = "领用人id", example = "4857")
    private Long employeeId;

    @Schema(description = "固定资产信息表主键id", example = "23094")
    private Long assetInfoId;

    @Schema(description = "领用日期")
    private String receiveDate;

    @Schema(description = "领用原因", example = "不喜欢")
    private String reason;

    @Schema(description = "归还日期")
    private String returnDate;

    @Schema(description = "归还原因", example = "不喜欢")
    private String returnReason;

    @Schema(description = "备注")
    private String remarks;

}