package cn.iocoder.yudao.module.asset.dal.mysql.assetinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.asset.dal.dataobject.assetinfo.AssetInfoDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.asset.controller.admin.assetinfo.vo.*;

/**
 * 固定资产信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface AssetInfoMapper extends BaseMapperX<AssetInfoDO> {

    default PageResult<AssetInfoDO> selectPage(AssetInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<AssetInfoDO>()
                .eqIfPresent(AssetInfoDO::getAssetInfoUuid, reqVO.getAssetInfoUuid())
                .likeIfPresent(AssetInfoDO::getName, reqVO.getName())
                .eqIfPresent(AssetInfoDO::getTypeNumber, reqVO.getTypeNumber())
                .eqIfPresent(AssetInfoDO::getSerialNumber, reqVO.getSerialNumber())
                .betweenIfPresent(AssetInfoDO::getCapitalizationDate, reqVO.getCapitalizationDate())
                .eqIfPresent(AssetInfoDO::getDepreciationYear, reqVO.getDepreciationYear())
                .eqIfPresent(AssetInfoDO::getAssetState, reqVO.getAssetState())
                .eqIfPresent(AssetInfoDO::getReceiveEmployeeId, reqVO.getReceiveEmployeeId())
                .eqIfPresent(AssetInfoDO::getAssetDeptId, reqVO.getAssetDeptId())
                .orderByDesc(AssetInfoDO::getId));
    }

}