package cn.iocoder.yudao.module.asset.dal.mysql.assetreceiveinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.asset.dal.dataobject.assetreceiveinfo.AssetReceiveInfoDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.asset.controller.admin.assetreceiveinfo.vo.*;

/**
 * 固定资产领用信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface AssetReceiveInfoMapper extends BaseMapperX<AssetReceiveInfoDO> {

    default PageResult<AssetReceiveInfoDO> selectPage(AssetReceiveInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<AssetReceiveInfoDO>()
                .eqIfPresent(AssetReceiveInfoDO::getEmployeeId, reqVO.getEmployeeId())
                .eqIfPresent(AssetReceiveInfoDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(AssetReceiveInfoDO::getPostId, reqVO.getPostId())
                .likeIfPresent(AssetReceiveInfoDO::getAssetInfoName, reqVO.getAssetInfoName())
                .betweenIfPresent(AssetReceiveInfoDO::getReceiveDate, reqVO.getReceiveDate())
                .eqIfPresent(AssetReceiveInfoDO::getReturned, reqVO.getReturned())
                .betweenIfPresent(AssetReceiveInfoDO::getReturnDate, reqVO.getReturnDate())
                .eqIfPresent(AssetReceiveInfoDO::getInfoSource, reqVO.getInfoSource())
                .eqIfPresent(AssetReceiveInfoDO::getCreator, reqVO.getCreator())
                .orderByDesc(AssetReceiveInfoDO::getId));
    }

}