package cn.iocoder.yudao.module.asset.service.assetreceiveinfo;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.asset.controller.admin.assetreceiveinfo.vo.*;
import cn.iocoder.yudao.module.asset.dal.dataobject.assetreceiveinfo.AssetReceiveInfoDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 固定资产领用信息 Service 接口
 *
 * @author dp
 */
public interface AssetReceiveInfoService {

    /**
     * 创建固定资产领用信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createReceiveInfo(@Valid AssetReceiveInfoSaveReqVO createReqVO);

    /**
     * 更新固定资产领用信息
     *
     * @param updateReqVO 更新信息
     */
    void updateReceiveInfo(@Valid AssetReceiveInfoSaveReqVO updateReqVO);

    /**
     * 删除固定资产领用信息
     *
     * @param id 编号
     */
    void deleteReceiveInfo(Long id);

    /**
     * 获得固定资产领用信息
     *
     * @param id 编号
     * @return 固定资产领用信息
     */
    AssetReceiveInfoDO getReceiveInfo(Long id);

    /**
     * 获得固定资产领用信息分页
     *
     * @param pageReqVO 分页查询
     * @return 固定资产领用信息分页
     */
    PageResult<AssetReceiveInfoDO> getReceiveInfoPage(AssetReceiveInfoPageReqVO pageReqVO);

}